View Issue Details

IDProjectCategoryView StatusLast Update
0016430ScribusUser Interfacepublic2021-01-16 21:13
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016430: Unify margins and spacing for dialogs, set 2
DescriptionI propose trivial margin and spacing changes for various dialogs.

In these files there are many space changes:
- meshdistortiondialog.ui
- pathdialogbase.ui
- lensdialogbase.ui
- pageitemattributes.ui
Others have clean diff.

Please review it. Thanks.
TagsNo tags attached.
Patch

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2021-01-12 22:59

reporter  

0001-Unify-margins-and-spacing-for-dialogs-set-2.patch (40,187 bytes)
From 386b1f16c7bda3cc8e71a0e0881a0feafb4e940a Mon Sep 17 00:00:00 2001
Message-Id: <386b1f16c7bda3cc8e71a0e0881a0feafb4e940a.1610492066.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Tue, 12 Jan 2021 23:54:14 +0100
Subject: [PATCH] Unify margins and spacing for dialogs, set 2

---
 .../meshdistortion/meshdistortiondialog.ui    |  85 ++++----
 .../pathalongpath/pathdialogbase.ui           | 111 +++++-----
 .../tools/lenseffects/lensdialogbase.ui       | 197 ++++++++----------
 .../tools/pathfinder/pathfinderbase.ui        |  33 ++-
 scribus/ui/annota.cpp                         |  20 +-
 scribus/ui/extimageprops.cpp                  |  10 +-
 scribus/ui/imageinfodialog.cpp                |  16 +-
 scribus/ui/pageitemattributes.ui              |  92 ++++----
 8 files changed, 288 insertions(+), 276 deletions(-)

diff --git a/scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui b/scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui
index 0378bca27..be5698d38 100644
--- a/scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui
+++ b/scribus/plugins/tools/2geomtools/meshdistortion/meshdistortiondialog.ui
@@ -1,7 +1,8 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>MeshDistortionDialog</class>
- <widget class="QDialog" name="MeshDistortionDialog" >
-  <property name="geometry" >
+ <widget class="QDialog" name="MeshDistortionDialog">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
@@ -9,48 +10,60 @@
     <height>355</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Mesh Distortion</string>
   </property>
-  <layout class="QHBoxLayout" >
+  <layout class="QHBoxLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
-    <layout class="QVBoxLayout" >
+    <layout class="QVBoxLayout">
      <item>
-      <widget class="QGraphicsView" name="previewLabel" >
-       <property name="minimumSize" >
+      <widget class="QGraphicsView" name="previewLabel">
+       <property name="minimumSize">
         <size>
          <width>300</width>
          <height>300</height>
         </size>
        </property>
-       <property name="toolTip" >
+       <property name="toolTip">
         <string>Drag the red handles with the mouse to distort the mesh</string>
        </property>
-       <property name="dragMode" >
+       <property name="dragMode">
         <enum>QGraphicsView::RubberBandDrag</enum>
        </property>
       </widget>
      </item>
      <item>
-      <layout class="QHBoxLayout" >
+      <layout class="QHBoxLayout">
        <item>
-        <layout class="QHBoxLayout" >
+        <layout class="QHBoxLayout">
          <item>
-          <widget class="QToolButton" name="buttonZoomIn" >
-           <property name="toolTip" >
+          <widget class="QToolButton" name="buttonZoomIn">
+           <property name="toolTip">
             <string>Zoom In</string>
            </property>
-           <property name="text" >
+           <property name="text">
             <string>+</string>
            </property>
           </widget>
          </item>
          <item>
-          <widget class="QToolButton" name="buttonZoomOut" >
-           <property name="toolTip" >
+          <widget class="QToolButton" name="buttonZoomOut">
+           <property name="toolTip">
             <string>Zoom Out</string>
            </property>
-           <property name="text" >
+           <property name="text">
             <string>-</string>
            </property>
           </widget>
@@ -59,10 +72,10 @@
        </item>
        <item>
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
-         <property name="sizeHint" stdset="0" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>20</height>
@@ -75,24 +88,24 @@
     </layout>
    </item>
    <item>
-    <layout class="QVBoxLayout" >
+    <layout class="QVBoxLayout">
      <item>
-      <widget class="QPushButton" name="resetButton" >
-       <property name="toolTip" >
+      <widget class="QPushButton" name="resetButton">
+       <property name="toolTip">
         <string>Resets the selected handles to their initial position.
 If no handle is selected all handles will be reset.</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;Reset</string>
        </property>
       </widget>
      </item>
      <item>
       <spacer>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
-       <property name="sizeHint" stdset="0" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>20</width>
          <height>40</height>
@@ -101,20 +114,20 @@ If no handle is selected all handles will be reset.</string>
       </spacer>
      </item>
      <item>
-      <widget class="QDialogButtonBox" name="buttonBox" >
-       <property name="sizePolicy" >
-        <sizepolicy vsizetype="Fixed" hsizetype="Fixed" >
+      <widget class="QDialogButtonBox" name="buttonBox">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
-       <property name="standardButtons" >
+       <property name="standardButtons">
         <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
        </property>
-       <property name="centerButtons" >
+       <property name="centerButtons">
         <bool>true</bool>
        </property>
       </widget>
@@ -131,11 +144,11 @@ If no handle is selected all handles will be reset.</string>
    <receiver>MeshDistortionDialog</receiver>
    <slot>accept()</slot>
    <hints>
-    <hint type="sourcelabel" >
+    <hint type="sourcelabel">
      <x>379</x>
      <y>385</y>
     </hint>
-    <hint type="destinationlabel" >
+    <hint type="destinationlabel">
      <x>157</x>
      <y>274</y>
     </hint>
@@ -147,11 +160,11 @@ If no handle is selected all handles will be reset.</string>
    <receiver>MeshDistortionDialog</receiver>
    <slot>reject()</slot>
    <hints>
-    <hint type="sourcelabel" >
+    <hint type="sourcelabel">
      <x>379</x>
      <y>385</y>
     </hint>
-    <hint type="destinationlabel" >
+    <hint type="destinationlabel">
      <x>286</x>
      <y>274</y>
     </hint>
diff --git a/scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui b/scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui
index 7e753c52d..33b599c68 100644
--- a/scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui
+++ b/scribus/plugins/tools/2geomtools/pathalongpath/pathdialogbase.ui
@@ -1,7 +1,8 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>PathDialogBase</class>
- <widget class="QDialog" name="PathDialogBase" >
-  <property name="geometry" >
+ <widget class="QDialog" name="PathDialogBase">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
@@ -9,107 +10,119 @@
     <height>218</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Path along Path</string>
   </property>
-  <layout class="QVBoxLayout" name="verticalLayout" >
+  <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
-    <layout class="QGridLayout" name="gridLayout" >
-     <item row="0" column="0" >
-      <widget class="QLabel" name="label" >
-       <property name="text" >
+    <layout class="QGridLayout" name="gridLayout">
+     <item row="0" column="0">
+      <widget class="QLabel" name="label">
+       <property name="text">
         <string>Effect Type</string>
        </property>
       </widget>
      </item>
-     <item row="0" column="1" >
-      <widget class="QComboBox" name="typeCombo" >
+     <item row="0" column="1">
+      <widget class="QComboBox" name="typeCombo">
        <item>
-        <property name="text" >
+        <property name="text">
          <string>Single</string>
         </property>
        </item>
        <item>
-        <property name="text" >
+        <property name="text">
          <string>Single, stretched</string>
         </property>
        </item>
        <item>
-        <property name="text" >
+        <property name="text">
          <string>Repeated</string>
         </property>
        </item>
        <item>
-        <property name="text" >
+        <property name="text">
          <string>Repeated, stretched</string>
         </property>
        </item>
       </widget>
      </item>
-     <item row="1" column="0" >
-      <widget class="QLabel" name="label_2" >
-       <property name="text" >
+     <item row="1" column="0">
+      <widget class="QLabel" name="label_2">
+       <property name="text">
         <string>Horizontal Offset</string>
        </property>
       </widget>
      </item>
-     <item row="1" column="1" >
-      <widget class="ScrSpinBox" name="offsetXSpin" />
+     <item row="1" column="1">
+      <widget class="ScrSpinBox" name="offsetXSpin"/>
      </item>
-     <item row="2" column="0" >
-      <widget class="QLabel" name="label_4" >
-       <property name="text" >
+     <item row="2" column="0">
+      <widget class="QLabel" name="label_4">
+       <property name="text">
         <string>Vertical Offset</string>
        </property>
       </widget>
      </item>
-     <item row="2" column="1" >
-      <widget class="ScrSpinBox" name="offsetYSpin" />
+     <item row="2" column="1">
+      <widget class="ScrSpinBox" name="offsetYSpin"/>
      </item>
-     <item row="3" column="0" >
-      <widget class="QLabel" name="label_5" >
-       <property name="text" >
+     <item row="3" column="0">
+      <widget class="QLabel" name="label_5">
+       <property name="text">
         <string>Rotate Objects by:</string>
        </property>
       </widget>
      </item>
-     <item row="3" column="1" >
-      <widget class="QComboBox" name="rotationCombo" >
+     <item row="3" column="1">
+      <widget class="QComboBox" name="rotationCombo">
        <item>
-        <property name="text" >
+        <property name="text">
          <string>0°</string>
         </property>
        </item>
        <item>
-        <property name="text" >
+        <property name="text">
          <string>90°</string>
         </property>
        </item>
        <item>
-        <property name="text" >
+        <property name="text">
          <string>180°</string>
         </property>
        </item>
        <item>
-        <property name="text" >
+        <property name="text">
          <string>270°</string>
         </property>
        </item>
       </widget>
      </item>
-     <item row="4" column="0" >
-      <widget class="QLabel" name="label_3" >
-       <property name="text" >
+     <item row="4" column="0">
+      <widget class="QLabel" name="label_3">
+       <property name="text">
         <string>Gap between Objects</string>
        </property>
       </widget>
      </item>
-     <item row="4" column="1" >
-      <widget class="ScrSpinBox" name="gapSpin" />
+     <item row="4" column="1">
+      <widget class="ScrSpinBox" name="gapSpin"/>
      </item>
-     <item row="5" column="0" colspan="2" >
-      <widget class="QCheckBox" name="previewCheck" >
-       <property name="text" >
+     <item row="5" column="0" colspan="2">
+      <widget class="QCheckBox" name="previewCheck">
+       <property name="text">
         <string>Preview on Canvas</string>
        </property>
       </widget>
@@ -117,11 +130,11 @@
     </layout>
    </item>
    <item>
-    <widget class="QDialogButtonBox" name="buttonBox" >
-     <property name="orientation" >
+    <widget class="QDialogButtonBox" name="buttonBox">
+     <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
-     <property name="standardButtons" >
+     <property name="standardButtons">
       <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
      </property>
     </widget>
@@ -143,11 +156,11 @@
    <receiver>PathDialogBase</receiver>
    <slot>accept()</slot>
    <hints>
-    <hint type="sourcelabel" >
+    <hint type="sourcelabel">
      <x>248</x>
      <y>254</y>
     </hint>
-    <hint type="destinationlabel" >
+    <hint type="destinationlabel">
      <x>157</x>
      <y>274</y>
     </hint>
@@ -159,11 +172,11 @@
    <receiver>PathDialogBase</receiver>
    <slot>reject()</slot>
    <hints>
-    <hint type="sourcelabel" >
+    <hint type="sourcelabel">
      <x>316</x>
      <y>260</y>
     </hint>
-    <hint type="destinationlabel" >
+    <hint type="destinationlabel">
      <x>286</x>
      <y>274</y>
     </hint>
diff --git a/scribus/plugins/tools/lenseffects/lensdialogbase.ui b/scribus/plugins/tools/lenseffects/lensdialogbase.ui
index 9d340baac..03d0b24a5 100644
--- a/scribus/plugins/tools/lenseffects/lensdialogbase.ui
+++ b/scribus/plugins/tools/lenseffects/lensdialogbase.ui
@@ -1,7 +1,8 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>LensDialogBase</class>
- <widget class="QDialog" name="LensDialogBase" >
-  <property name="geometry" >
+ <widget class="QDialog" name="LensDialogBase">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
@@ -9,29 +10,29 @@
     <height>372</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Optical Lens</string>
   </property>
-  <layout class="QVBoxLayout" >
-   <property name="spacing" >
-    <number>5</number>
+  <layout class="QVBoxLayout">
+   <property name="leftMargin">
+    <number>9</number>
    </property>
-   <property name="margin" >
-    <number>10</number>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
    </property>
    <item>
-    <layout class="QHBoxLayout" >
-     <property name="spacing" >
-      <number>5</number>
-     </property>
+    <layout class="QHBoxLayout">
      <item>
-      <layout class="QVBoxLayout" >
-       <property name="spacing" >
-        <number>5</number>
-       </property>
+      <layout class="QVBoxLayout">
        <item>
-        <widget class="QGraphicsView" name="previewWidget" >
-         <property name="minimumSize" >
+        <widget class="QGraphicsView" name="previewWidget">
+         <property name="minimumSize">
           <size>
            <width>280</width>
            <height>280</height>
@@ -40,31 +41,25 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" >
-         <property name="spacing" >
-          <number>5</number>
-         </property>
+        <layout class="QHBoxLayout">
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
-            <number>5</number>
-           </property>
+          <layout class="QHBoxLayout">
            <item>
-            <widget class="QPushButton" name="buttonAdd" >
-             <property name="toolTip" >
+            <widget class="QPushButton" name="buttonAdd">
+             <property name="toolTip">
               <string>Add a new lens</string>
              </property>
-             <property name="text" >
+             <property name="text">
               <string>&amp;Add Lens</string>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QPushButton" name="buttonRemove" >
-             <property name="toolTip" >
+            <widget class="QPushButton" name="buttonRemove">
+             <property name="toolTip">
               <string>Remove selected lens</string>
              </property>
-             <property name="text" >
+             <property name="text">
               <string>&amp;Remove Lens</string>
              </property>
             </widget>
@@ -72,16 +67,13 @@
           </layout>
          </item>
          <item>
-          <layout class="QHBoxLayout" >
-           <property name="spacing" >
-            <number>5</number>
-           </property>
+          <layout class="QHBoxLayout">
            <item>
             <spacer>
-             <property name="orientation" >
+             <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
-             <property name="sizeHint" stdset="0" >
+             <property name="sizeHint" stdset="0">
               <size>
                <width>40</width>
                <height>20</height>
@@ -90,21 +82,21 @@
             </spacer>
            </item>
            <item>
-            <widget class="QToolButton" name="buttonZoomI" >
-             <property name="toolTip" >
+            <widget class="QToolButton" name="buttonZoomI">
+             <property name="toolTip">
               <string>Zoom In</string>
              </property>
-             <property name="text" >
+             <property name="text">
               <string>+</string>
              </property>
             </widget>
            </item>
            <item>
-            <widget class="QToolButton" name="buttonZoomOut" >
-             <property name="toolTip" >
+            <widget class="QToolButton" name="buttonZoomOut">
+             <property name="toolTip">
               <string>Zoom Out</string>
              </property>
-             <property name="text" >
+             <property name="text">
               <string>-</string>
              </property>
             </widget>
@@ -116,133 +108,124 @@
       </layout>
      </item>
      <item>
-      <layout class="QVBoxLayout" >
-       <property name="spacing" >
-        <number>5</number>
-       </property>
+      <layout class="QVBoxLayout">
        <item>
-        <widget class="QGroupBox" name="groupBox" >
-         <property name="title" >
+        <widget class="QGroupBox" name="groupBox">
+         <property name="title">
           <string>Lens Parameters</string>
          </property>
-         <layout class="QGridLayout" >
-          <property name="margin" >
-           <number>10</number>
-          </property>
-          <property name="spacing" >
-           <number>5</number>
-          </property>
-          <item row="0" column="0" >
-           <widget class="QLabel" name="label" >
-            <property name="text" >
+         <layout class="QGridLayout">
+          <item row="0" column="0">
+           <widget class="QLabel" name="label">
+            <property name="text">
              <string>&amp;X Pos:</string>
             </property>
-            <property name="buddy" >
+            <property name="buddy">
              <cstring>spinXPos</cstring>
             </property>
            </widget>
           </item>
-          <item row="0" column="1" >
-           <widget class="QDoubleSpinBox" name="spinXPos" >
-            <property name="toolTip" >
+          <item row="0" column="1">
+           <widget class="QDoubleSpinBox" name="spinXPos">
+            <property name="toolTip">
              <string>Horizontal position of the lens</string>
             </property>
-            <property name="minimum" >
+            <property name="minimum">
              <double>-30000.000000000000000</double>
             </property>
-            <property name="maximum" >
+            <property name="maximum">
              <double>30000.000000000000000</double>
             </property>
            </widget>
           </item>
-          <item row="1" column="0" >
-           <widget class="QLabel" name="label_2" >
-            <property name="text" >
+          <item row="1" column="0">
+           <widget class="QLabel" name="label_2">
+            <property name="text">
              <string>&amp;Y Pos:</string>
             </property>
-            <property name="buddy" >
+            <property name="buddy">
              <cstring>spinYPos</cstring>
             </property>
            </widget>
           </item>
-          <item row="1" column="1" >
-           <widget class="QDoubleSpinBox" name="spinYPos" >
-            <property name="toolTip" >
+          <item row="1" column="1">
+           <widget class="QDoubleSpinBox" name="spinYPos">
+            <property name="toolTip">
              <string>Vertical position of the lens</string>
             </property>
-            <property name="minimum" >
+            <property name="minimum">
              <double>-30000.000000000000000</double>
             </property>
-            <property name="maximum" >
+            <property name="maximum">
              <double>30000.000000000000000</double>
             </property>
            </widget>
           </item>
-          <item row="2" column="0" colspan="2" >
-           <widget class="QRadioButton" name="buttonMagnify" >
-            <property name="toolTip" >
+          <item row="2" column="0" colspan="2">
+           <widget class="QRadioButton" name="buttonMagnify">
+            <property name="toolTip">
              <string>The selected lens acts like a magnification lens</string>
             </property>
-            <property name="text" >
+            <property name="text">
              <string>&amp;Magnification Lens</string>
             </property>
-            <property name="checked" >
+            <property name="checked">
              <bool>true</bool>
             </property>
            </widget>
           </item>
-          <item row="3" column="0" colspan="2" >
-           <widget class="QRadioButton" name="buttonFishEye" >
-            <property name="toolTip" >
+          <item row="3" column="0" colspan="2">
+           <widget class="QRadioButton" name="buttonFishEye">
+            <property name="toolTip">
              <string>The selected lens acts like a fish eye lens</string>
             </property>
-            <property name="text" >
+            <property name="text">
              <string>&amp;Fish Eye Lens</string>
             </property>
            </widget>
           </item>
-          <item row="4" column="0" >
-           <widget class="QLabel" name="label_3" >
-            <property name="text" >
+          <item row="4" column="0">
+           <widget class="QLabel" name="label_3">
+            <property name="text">
              <string>Ra&amp;dius:</string>
             </property>
-            <property name="buddy" >
+            <property name="buddy">
              <cstring>spinRadius</cstring>
             </property>
            </widget>
           </item>
-          <item row="4" column="1" >
-           <widget class="QDoubleSpinBox" name="spinRadius" >
-            <property name="toolTip" >
+          <item row="4" column="1">
+           <widget class="QDoubleSpinBox" name="spinRadius">
+            <property name="toolTip">
              <string>Radius of the lens</string>
             </property>
-            <property name="minimum" >
+            <property name="minimum">
              <double>-30000.000000000000000</double>
             </property>
-            <property name="maximum" >
+            <property name="maximum">
              <double>30000.000000000000000</double>
             </property>
            </widget>
           </item>
-          <item row="5" column="0" >
-           <widget class="QLabel" name="label_4" >
-            <property name="text" >
+          <item row="5" column="0">
+           <widget class="QLabel" name="label_4">
+            <property name="text">
              <string>&amp;Strength:</string>
             </property>
-            <property name="buddy" >
+            <property name="buddy">
              <cstring>spinStrength</cstring>
             </property>
            </widget>
           </item>
-          <item row="5" column="1" >
-           <widget class="QDoubleSpinBox" name="spinStrength" >
-            <property name="toolTip" >
+          <item row="5" column="1">
+           <widget class="QDoubleSpinBox" name="spinStrength">
+            <property name="toolTip">
              <string>Strength of the lens</string>
             </property>
-            <property name="minimum" >
+            <property name="minimum">
              <double>0.000000000000000</double>
             </property>
-            <property name="maximum" >
+            <property name="maximum">
              <double>100.000000000000000</double>
             </property>
            </widget>
@@ -252,10 +235,10 @@
        </item>
        <item>
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
-         <property name="sizeHint" stdset="0" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>165</width>
            <height>91</height>
@@ -268,8 +251,8 @@
     </layout>
    </item>
    <item>
-    <widget class="QDialogButtonBox" name="buttonBox" >
-     <property name="standardButtons" >
+    <widget class="QDialogButtonBox" name="buttonBox">
+     <property name="standardButtons">
       <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
      </property>
     </widget>
diff --git a/scribus/plugins/tools/pathfinder/pathfinderbase.ui b/scribus/plugins/tools/pathfinder/pathfinderbase.ui
index c171da8ba..9ec3b9a9a 100644
--- a/scribus/plugins/tools/pathfinder/pathfinderbase.ui
+++ b/scribus/plugins/tools/pathfinder/pathfinderbase.ui
@@ -14,16 +14,22 @@
    <string>Boolean Path Operations</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_4">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
     <layout class="QHBoxLayout">
-     <property name="spacing">
-      <number>5</number>
-     </property>
      <item>
       <layout class="QVBoxLayout">
-       <property name="spacing">
-        <number>5</number>
-       </property>
        <item>
         <widget class="QLabel" name="sourceShape">
          <property name="minimumSize">
@@ -82,9 +88,6 @@
      </item>
      <item>
       <layout class="QVBoxLayout">
-       <property name="spacing">
-        <number>0</number>
-       </property>
        <item>
         <spacer>
          <property name="orientation">
@@ -132,9 +135,6 @@
      </item>
      <item>
       <layout class="QVBoxLayout">
-       <property name="spacing">
-        <number>5</number>
-       </property>
        <item>
         <widget class="QLabel" name="sourceShape2">
          <property name="minimumSize">
@@ -193,9 +193,6 @@
      </item>
      <item>
       <layout class="QVBoxLayout">
-       <property name="spacing">
-        <number>0</number>
-       </property>
        <item>
         <spacer>
          <property name="orientation">
@@ -301,12 +298,6 @@
           <string>Operation</string>
          </property>
          <layout class="QHBoxLayout">
-          <property name="spacing">
-           <number>5</number>
-          </property>
-          <property name="margin">
-           <number>10</number>
-          </property>
           <item>
            <widget class="QToolButton" name="opCombine">
             <property name="toolTip">
diff --git a/scribus/ui/annota.cpp b/scribus/ui/annota.cpp
index a044f56fd..b828d19c4 100644
--- a/scribus/ui/annota.cpp
+++ b/scribus/ui/annota.cpp
@@ -71,12 +71,12 @@ Annota::Annota(QWidget* parent, PageItem *it, ScribusDoc* doc, ScribusView* view
 	}
 
 	AnnotLayout = new QVBoxLayout( this );
-	AnnotLayout->setSpacing( 5 );
-	AnnotLayout->setMargin( 10 );
+	AnnotLayout->setSpacing(6);
+	AnnotLayout->setContentsMargins(9, 9, 9, 9);
 
 	Layout1 = new QHBoxLayout;
-	Layout1->setSpacing( 5 );
-	Layout1->setMargin( 0 );
+	Layout1->setSpacing(6);
+	Layout1->setContentsMargins(0, 0, 0, 0);
 
 	typeCombo = new QComboBox(this);
 	if (!m_view->m_doc->masterPageMode())
@@ -123,8 +123,8 @@ Annota::Annota(QWidget* parent, PageItem *it, ScribusDoc* doc, ScribusView* view
 	GroupBox2->setTitle( tr( "Options" ) );
 	GroupBox2Layout = new QGridLayout( GroupBox2 );
 	GroupBox2Layout->setAlignment( Qt::AlignTop );
-	GroupBox2Layout->setSpacing( 5 );
-	GroupBox2Layout->setMargin( 10 );
+	GroupBox2Layout->setSpacing(6);
+	GroupBox2Layout->setContentsMargins(9, 9, 9, 9);
 	iconComboLabel = new QLabel( tr("Icon:"), GroupBox2);
 	iconCombo = new QComboBox(GroupBox2);
 	iconCombo->addItem( tr("Note"));
@@ -149,8 +149,8 @@ Annota::Annota(QWidget* parent, PageItem *it, ScribusDoc* doc, ScribusView* view
 	GroupBox1->setTitle( tr( "Destination" ) );
 	GroupBox1Layout = new QGridLayout( GroupBox1 );
 	GroupBox1Layout->setAlignment( Qt::AlignTop );
-	GroupBox1Layout->setSpacing( 5 );
-	GroupBox1Layout->setMargin( 10 );
+	GroupBox1Layout->setSpacing(6);
+	GroupBox1Layout->setContentsMargins(9, 9, 9, 9);
 
 	destFile = new QLineEdit(GroupBox1);
 	destFile->setText(m_item->annotation().Extern());
@@ -219,8 +219,8 @@ Annota::Annota(QWidget* parent, PageItem *it, ScribusDoc* doc, ScribusView* view
 	Fram->addWidget(GroupBox1);
 
 	Layout1_2 = new QHBoxLayout;
-	Layout1_2->setSpacing( 5 );
-	Layout1_2->setMargin( 0 );
+	Layout1_2->setSpacing(6);
+	Layout1_2->setContentsMargins(0, 0, 0, 0);
 
 	QSpacerItem* spacer = new QSpacerItem( 2, 2, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	Layout1_2->addItem( spacer );
diff --git a/scribus/ui/extimageprops.cpp b/scribus/ui/extimageprops.cpp
index 73ce4b9c7..47970cc7e 100644
--- a/scribus/ui/extimageprops.cpp
+++ b/scribus/ui/extimageprops.cpp
@@ -40,7 +40,7 @@ ExtImageProps::ExtImageProps( QWidget* parent, ImageInfoRecord *info, PageItem *
 	setWindowTitle( tr( "Extended Image Properties" ) );
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	ExtImagePropsLayout = new QVBoxLayout( this );
-	ExtImagePropsLayout->setMargin(6);
+	ExtImagePropsLayout->setContentsMargins(9, 9, 9, 9);
 	ExtImagePropsLayout->setSpacing(6);
 	m_view  = view;
 	m_timer = nullptr;
@@ -103,10 +103,10 @@ ExtImageProps::ExtImageProps( QWidget* parent, ImageInfoRecord *info, PageItem *
 	{
 		tab = new QWidget( propsTab );
 		tabLayout = new QVBoxLayout( tab );
-		tabLayout->setMargin(6);
+		tabLayout->setContentsMargins(9, 9, 9, 9);
 		tabLayout->setSpacing(6);
 		layout1 = new QHBoxLayout;
-		layout1->setMargin(0);
+		layout1->setContentsMargins(0, 0, 0, 0);
 		layout1->setSpacing(6);
 		textLabel1 = new QLabel( tab );
 		textLabel1->setText( tr( "Blend Mode:" ) );
@@ -230,7 +230,7 @@ ExtImageProps::ExtImageProps( QWidget* parent, ImageInfoRecord *info, PageItem *
 	}
 	tab_2 = new QWidget( propsTab );
 	tabLayout_2 = new QVBoxLayout( tab_2 );
-	tabLayout_2->setMargin(6);
+	tabLayout_2->setContentsMargins(9, 9, 9, 9);
 	tabLayout_2->setSpacing(6);
 	pathList = new QListWidget( tab_2 );
 	pathList->clear();
@@ -285,7 +285,7 @@ ExtImageProps::ExtImageProps( QWidget* parent, ImageInfoRecord *info, PageItem *
 	ExtImagePropsLayout->addWidget( propsTab );
 
 	layoutBottom = new QHBoxLayout;
-	layoutBottom->setMargin(0);
+	layoutBottom->setContentsMargins(0, 0, 0, 0);
 	layoutBottom->setSpacing(6);
 	livePreview = new QCheckBox( this );
 	livePreview->setText( tr( "Live Preview" ) );
diff --git a/scribus/ui/imageinfodialog.cpp b/scribus/ui/imageinfodialog.cpp
index ea8203134..3989f95e5 100644
--- a/scribus/ui/imageinfodialog.cpp
+++ b/scribus/ui/imageinfodialog.cpp
@@ -24,13 +24,13 @@ ImageInfoDialog::ImageInfoDialog( QWidget* parent, ImageInfoRecord *info  ) : QD
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 
 	ImageInfoDialogLayout = new QVBoxLayout( this );
-	ImageInfoDialogLayout->setMargin(10);
-	ImageInfoDialogLayout->setSpacing(5);
+	ImageInfoDialogLayout->setContentsMargins(9, 9, 9, 9);
+	ImageInfoDialogLayout->setSpacing(6);
 	GenGroup = new QGroupBox(this);
 	GenGroup->setTitle( tr("General Info"));
 	layout3 = new QGridLayout(GenGroup);
-	layout3->setMargin(5);
-	layout3->setSpacing(5);
+	layout3->setContentsMargins(9, 9, 9, 9);
+	layout3->setSpacing(6);
 	Text0g = new QLabel( tr( "Date / Time:" ), GenGroup);
 	layout3->addWidget( Text0g, 0, 0 );
 	timeInfo = new QLabel( info->exifInfo.dateTime, GenGroup);
@@ -68,8 +68,8 @@ ImageInfoDialog::ImageInfoDialog( QWidget* parent, ImageInfoRecord *info  ) : QD
 	ExGroup = new QGroupBox(this);
 	ExGroup->setTitle( tr("EXIF Info"));
 	layout2 = new QGridLayout(ExGroup);
-	layout2->setMargin(5);
-	layout2->setSpacing(5);
+	layout2->setContentsMargins(9, 9, 9, 9);
+	layout2->setSpacing(6);
 	Text1 = new QLabel( "", ExGroup);
 	layout2->addWidget( Text1, 0, 0 );
 	Comment = new QLabel(info->exifInfo.comment, ExGroup);
@@ -147,8 +147,8 @@ ImageInfoDialog::ImageInfoDialog( QWidget* parent, ImageInfoRecord *info  ) : QD
 			break;
 	}
 	layout1 = new QHBoxLayout;
-	layout1->setMargin(5);
-	layout1->setSpacing(5);
+	layout1->setContentsMargins(0, 0, 0, 0);
+	layout1->setSpacing(6);
 	QSpacerItem* spacer = new QSpacerItem( 2, 2, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	layout1->addItem( spacer );
 	okButton = new QPushButton( CommonStrings::tr_OK, this);
diff --git a/scribus/ui/pageitemattributes.ui b/scribus/ui/pageitemattributes.ui
index ed8ff13a6..e6207707c 100644
--- a/scribus/ui/pageitemattributes.ui
+++ b/scribus/ui/pageitemattributes.ui
@@ -1,7 +1,8 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>PageItemAttributes</class>
- <widget class="QDialog" name="PageItemAttributes" >
-  <property name="geometry" >
+ <widget class="QDialog" name="PageItemAttributes">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
@@ -9,98 +10,110 @@
     <height>188</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Attributes</string>
   </property>
-  <property name="sizeGripEnabled" >
+  <property name="sizeGripEnabled">
    <bool>true</bool>
   </property>
-  <layout class="QVBoxLayout" >
+  <layout class="QVBoxLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
-    <widget class="ScTableWidget" name="attributesTable" >
+    <widget class="ScTableWidget" name="attributesTable">
      <column>
-      <property name="text" >
+      <property name="text">
        <string>Name</string>
       </property>
      </column>
      <column>
-      <property name="text" >
+      <property name="text">
        <string>Type</string>
       </property>
      </column>
      <column>
-      <property name="text" >
+      <property name="text">
        <string>Value</string>
       </property>
      </column>
      <column>
-      <property name="text" >
+      <property name="text">
        <string>Parameter</string>
       </property>
      </column>
      <column>
-      <property name="text" >
+      <property name="text">
        <string>Relationship</string>
       </property>
      </column>
      <column>
-      <property name="text" >
+      <property name="text">
        <string>Relationship To</string>
       </property>
      </column>
     </widget>
    </item>
    <item>
-    <layout class="QHBoxLayout" >
+    <layout class="QHBoxLayout">
      <item>
-      <widget class="QPushButton" name="addButton" >
-       <property name="text" >
+      <widget class="QPushButton" name="addButton">
+       <property name="text">
         <string>&amp;Add</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+A</string>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="copyButton" >
-       <property name="text" >
+      <widget class="QPushButton" name="copyButton">
+       <property name="text">
         <string>&amp;Copy</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+C</string>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="deleteButton" >
-       <property name="text" >
+      <widget class="QPushButton" name="deleteButton">
+       <property name="text">
         <string>&amp;Delete</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+D</string>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="clearButton" >
-       <property name="text" >
+      <widget class="QPushButton" name="clearButton">
+       <property name="text">
         <string>C&amp;lear</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+L</string>
        </property>
       </widget>
      </item>
      <item>
       <spacer>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
-       <property name="sizeType" >
+       <property name="sizeType">
         <enum>QSizePolicy::Expanding</enum>
        </property>
-       <property name="sizeHint" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>90</width>
          <height>20</height>
@@ -109,30 +122,30 @@
       </spacer>
      </item>
      <item>
-      <widget class="QPushButton" name="okButton" >
-       <property name="text" >
+      <widget class="QPushButton" name="okButton">
+       <property name="text">
         <string>&amp;OK</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string/>
        </property>
-       <property name="autoDefault" >
+       <property name="autoDefault">
         <bool>true</bool>
        </property>
-       <property name="default" >
+       <property name="default">
         <bool>true</bool>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="cancelButton" >
-       <property name="text" >
+      <widget class="QPushButton" name="cancelButton">
+       <property name="text">
         <string>&amp;Cancel</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string/>
        </property>
-       <property name="autoDefault" >
+       <property name="autoDefault">
         <bool>true</bool>
        </property>
       </widget>
@@ -141,7 +154,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11" />
  <customwidgets>
   <customwidget>
    <class>ScTableWidget</class>
@@ -150,7 +162,7 @@
   </customwidget>
  </customwidgets>
  <includes>
-  <include location="local" >pagestructs.h</include>
+  <include location="local">pagestructs.h</include>
  </includes>
  <resources/>
  <connections/>
-- 
2.27.0

annotation.gif (69,410 bytes)
annotation.gif (69,410 bytes)
attributes.gif (20,523 bytes)
attributes.gif (20,523 bytes)
image_info.gif (30,318 bytes)
image_info.gif (30,318 bytes)
lens_effect.gif (49,209 bytes)
lens_effect.gif (49,209 bytes)

bubu

2021-01-13 05:54

reporter   ~0048684

Hm... Ho can I bypass the spam filter?

mesh_distortion.gif (28,946 bytes)
mesh_distortion.gif (28,946 bytes)
path_along_path.gif (24,261 bytes)
path_along_path.gif (24,261 bytes)

jghali

2021-01-16 21:13

administrator   ~0048697

Applied, thanks!

Issue History

Date Modified Username Field Change
2021-01-12 22:59 bubu New Issue
2021-01-12 22:59 bubu File Added: 0001-Unify-margins-and-spacing-for-dialogs-set-2.patch
2021-01-12 22:59 bubu File Added: annotation.gif
2021-01-12 22:59 bubu File Added: attributes.gif
2021-01-12 22:59 bubu File Added: extended_image_properties.gif
2021-01-12 22:59 bubu File Added: image_info.gif
2021-01-12 22:59 bubu File Added: lens_effect.gif
2021-01-13 05:54 bubu File Added: mesh_distortion.gif
2021-01-13 05:54 bubu File Added: path_along_path.gif
2021-01-13 05:54 bubu File Added: path_boolean_operations.gif
2021-01-13 05:54 bubu Note Added: 0048684
2021-01-13 06:58 PeterBenedek Relationship added child of 0013906
2021-01-16 21:13 jghali Assigned To => jghali
2021-01-16 21:13 jghali Status new => resolved
2021-01-16 21:13 jghali Resolution open => fixed
2021-01-16 21:13 jghali Fixed in Version => 1.5.7.svn
2021-01-16 21:13 jghali Note Added: 0048697